mbedtls_ecp_keypair Struct Reference

ECP key pair structure. More...

`#include <ecp.h>`

Collaboration diagram for mbedtls_ecp_keypair:
[legend]

## Data Fields

mbedtls_ecp_group | grp
mbedtls_mpi | d
mbedtls_ecp_point | Q

## Detailed Description

ECP key pair structure.

A generic key pair that could be used for ECDSA, fixed ECDH, etc.

Note
  Members purposefully in the same order as struc mbedtls_ecdsa_context.

Definition at line 167 of file ecp.h.

## Field Documentation

## d

mbedtls_mpi mbedtls_ecp_keypair::d

our secret value

Definition at line 170 of file ecp.h.

## grp

mbedtls_ecp_group mbedtls_ecp_keypair::grp

Elliptic curve and base point

Definition at line 169 of file ecp.h.

## Q

mbedtls_ecp_point mbedtls_ecp_keypair::Q

our public value

Definition at line 171 of file ecp.h.

The documentation for this struct was generated from the following file:

- ecp.h